package MobileMonitoring;

import SOMA.naming.*;
import java.io.Serializable;

//classe contenente le informazioni di base che un qualunque agente mobile in qualita'
//di manager Snmp deve conoscere
public class BasicTour implements Serializable
{
	//identificatore dell'agente che delega, cioe' quello a cui dovranno poi essere 
	//recapitate le informazioni raccolte
	protected AgentID delegator = null;
    //steps e' la lista dei PlaceID da visitare
    PlaceID steps[] = null;
	boolean debug = false;
	
    public BasicTour(AgentID master,PlaceID[] dest, boolean deb)
    {
    	delegator = master;
        steps = dest;
        debug = deb;
    }

    //restituisce la lista delle destinazioni, cioe' i PlaceID
    public PlaceID[] getDestinations()
    {
        return steps;
    }

     /** restituisce l'identificatore dell'agente che ha creato questo DrivePlan,
    *   quindi che si aspetta di ricevere i risultati raccolti duranti il viaggio
    */
    public AgentID getDelegator()
    {
    	return delegator;
    }
    
    public boolean isDebug()
    {
    	return debug;
    }
     
}