package MobileMonitoring;

import SOMA.agent.*;
import SOMA.naming.*;
import SOMA.naming.domain.*;
import SOMA.naming.place.*;
import SOMA.*;
import java.io.PrintStream;
import java.util.*;

public class findPlacesMA extends Agent
{
  //domini da visitare per recuperare i nomi dei place li' presenti	
  PlaceID[] domains = null;
  //identificatore dell'agente che ha richiesto di recuperare le info.
  AgentID requester = null;
  int index =-1;  
  //variabile destinata a contenere i risultati: un vettore di PlaceID per ogni dominio
  Vector places = null;
  //place in cui tornare
  PlaceID home = null;
	
  public void putArgument( Object obj )
  {
   	BasicTour info = (BasicTour)obj;
   	//la prima stringa passata e' il nome dell'agente a cui restituire i risultati
    requester = info.getDelegator();
    domains = info.getDestinations();
	places = new Vector();
  }

  public void run()
  {
    PrintStream out = agentSystem.getOut();
	
	//place a cui si dovra' ritornare
	home = agentSystem.getPlaceID();

    tour();
  }

  public void tour()
  {
	index++;
    if( index < domains.length )
    {
      try
      {
        go( domains[index], "getInfos" );
      }
      catch( CantGoException e )
      {
      	places.add(null);
        tour();
      }
    }
    else
    {
      try{go( home, "sendInfo" );}
      //se  non riesco a tornare a casa ci riprovo
      catch( CantGoException e ){ index--; tour();}
    }
  }
  
  public Message sendInfo()
  {
  	  Message ret = new Message(places,getID(),requester);
      Environment env = agentSystem.getEnvironment();
	  env.agentManager.sendMessage(ret);
	  return ret;
  }
	  
  public void getInfos()
  {
  	Environment env = agentSystem.getEnvironment();
  	PlaceNameService dns = env.placeNameService;
  	PlaceID[] curplaces = dns.getPlacesArray();
  	
  	//aggiungo il risultato ottenuto al vettore dei risultati
  	places.add(curplaces);
  	tour();
  }
}